# reqnroll

This configuration section contains settings related to synchronizing Reqnroll projects. These settings are only required for the legacy [synchronizing automated test cases](https://docs.specsolutions.eu/specsync/important-concepts/synchronizing-automated-test-cases)

The following example shows the available options within this section.

```javascript
{
  ...
  "reqnroll": {
    "scenarioOutlineAutomationWrappers": "iterateThroughExamples",
    "wrapperMethodPrefix": "_SpecSyncWrapper_",
    "wrapperMethodCategory": "SpecSyncWrapper"
  },
  ...
}
```

## Settings

| Setting                             | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | Default                  |
| ----------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------ |
| `scenarioOutlineAutomationWrappers` | <p>Specifies how automation wrapper methods should be generated for synchronizing scenario outlines to automated test cases. Available options: <code>iterateThroughExamples</code>. (Default: <code>iterateThroughExamples</code>)</p><ul><li><code>iterateThroughExamples</code> -- the generated wrapper method iterates through the examples and runs the test for each. A failure of an iteration does not block the remaining iterations. Running the test cases through this wrapper in Azure DevOps generates a single entry in the report, but the details of the entry contain all executed data set.</li></ul> | `iterateThroughExamples` |
| `wrapperMethodPrefix`               | The method prefix to be used for the generated automation wrapper methods.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | `_SpecSyncWrapper_`      |
| `wrapperMethodCategory`             | The test category (trait) be added for the generated automation wrapper methods.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | `SpecSyncWrapper`        |

{% content-ref url="" %}
[](https://docs.specsolutions.eu/specsync/reference/configuration)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/configuration/configuration-reqnroll.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
